Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List project members

GET/workspaces/{organizationId}/projects/{projectId}/members
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
projectIdstringrequired
Responses
200

Project members list

membersobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
projectIdstringrequired
userIdstringrequired
rolestringrequired
Allowed:leadmember
createdAtstringrequired
updatedAtstringrequired
404

Project not found

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/projects/string/members' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "members": [
    {
      "id": "string",
      "organizationId": "string",
      "projectId": "string",
      "userId": "string",
      "role": "lead",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}

Was this page helpful?